Public API
Machine-readable discovery and a single public write endpoint.
Discovery
- API catalog: https://www.integrous.in/.well-known/api-catalog
- OpenAPI: https://www.integrous.in/openapi.json
- ARD manifest: https://www.integrous.in/.well-known/ai-catalog.json
- Agent skills: https://www.integrous.in/.well-known/agent-skills/index.json
Waitlist
POST https://www.integrous.in/api/waitlist
Content-Type: application/json
{"email": "you@example.com"}Adds an email to the Integrous beta waitlist and sends a confirmation email. No authentication required.
Health
GET https://www.integrous.in/api/health
Markdown for agents
Send Accept: text/markdown on HTML pages to receive a markdown representation. Product briefs are also available at /llms.txt and /llms-full.txt.